This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 493324 - [radeon testday] failed to resume after suspend
[radeon testday] failed to resume after suspend
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-01 09:18 EDT by b. nutzer
Modified: 2009-09-09 09:30 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 09:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log after failed resume (40.52 KB, text/plain)
2009-04-01 09:18 EDT, b. nutzer
no flags Details
/var/log/messages, started right before suspend (19.54 KB, text/plain)
2009-04-01 09:19 EDT, b. nutzer
no flags Details
complet dmesg output after failed suspending (65.27 KB, text/plain)
2009-04-01 09:19 EDT, b. nutzer
no flags Details

  None (edit)
Description b. nutzer 2009-04-01 09:18:08 EDT
Created attachment 337510 [details]
Xorg.0.log after failed resume

Description of problem:
http://fedoraproject.org/wiki/Test_Day:Radeon_2009-04-01

Suspend works without problems, but after resume the display is messed up. Nothing is identifiable. I was able to backup /var/log/ and dmesg via ssh.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.12.0-2.fc11.i586

Steps to Reproduce:
1. suspend
2. wake up

Additional info:
ATI Technologies Inc Radeon Mobility X1400 [1002:7145] 

http://www.smolts.org/client/show/pub_1a07862b-a848-4833-825a-c0adca38eef3
Comment 1 b. nutzer 2009-04-01 09:19:16 EDT
Created attachment 337511 [details]
/var/log/messages, started right before suspend
Comment 2 b. nutzer 2009-04-01 09:19:52 EDT
Created attachment 337513 [details]
complet dmesg output after failed suspending
Comment 3 Jan Safranek 2009-04-02 03:54:29 EDT
Same with Lenovo T60 (Radeon Mobility X1400).

Smolt: http://smolt.fedoraproject.org/show?uuid=pub_982aff34-6a6f-47c8-9782-d07a57c06757+

After wake up, the screen shows garbage, even in virtual console.
Comment 4 b. nutzer 2009-04-03 02:59:45 EDT
It works fine with KMS disabled.
Comment 5 Bug Zapper 2009-06-09 08:56:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 b. nutzer 2009-06-09 13:27:12 EDT
still present in fedora 11, i've testet it with the livecd.
Comment 7 b. nutzer 2009-09-09 09:30:51 EDT
I've tested suspending again and it leads to bug #521277

Note You need to log in before you can comment on or make changes to this bug.